CREATE TABLE T_MST_SUPPLIER (
	ID INTEGER IDENTITY PRIMARY KEY, 
	CODE VARCHAR(4), 
	NAME VARCHAR(100), 
	DESCRIPTION VARCHAR(500)
);
CREATE TABLE T_MST_PRODUCT (
	ID INTEGER IDENTITY PRIMARY KEY, 
	CODE VARCHAR(4), 
	NAME VARCHAR(100), 
	PRICE DOUBLE, 
	DESCRIPTION VARCHAR(500), 
	TOKEN VARCHAR(50), 
	SUPPLIER_ID INTEGER
);
CREATE TABLE T_MST_USER (
	ID INTEGER IDENTITY PRIMARY KEY, 
	EMAIL VARCHAR(200) UNIQUE, 
	PASSWORD VARCHAR(200), 
	BALANCE DOUBLE, 
	JOIN_TIME TIMESTAMP
);
CREATE TABLE T_MST_TRANSACTION_DETAIL (
	ID INTEGER IDENTITY PRIMARY KEY, 
	TRANSACTION_CODE VARCHAR(5), 
	STATE VARCHAR(50), 
	PRODUCT_CODE VARCHAR(4), 
	USER_EMAIL VARCHAR(200), 
	NOMINAL DOUBLE, 
	RAW_DATA VARCHAR(500), 
	JOIN_TIME TIMESTAMP
);
CREATE TABLE T_MST_TRANSACTION (
	ID INTEGER IDENTITY PRIMARY KEY, 
	CODE VARCHAR(5) UNIQUE, 
	STATE VARCHAR(50), 
	USER_EMAIL VARCHAR(200), 
	SUPPLIER_CODE VARCHAR(4), 
	PRODUCT_CODE VARCHAR(4), 
	PRODUCT_TOKEN VARCHAR(50), 
	FEE DOUBLE, 
	TOTAL DOUBLE, 
	JOIN_TIME TIMESTAMP, 
	UPDATE_TIME TIMESTAMP
);